package be.iminds.jfed.gts_highlevel.model;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * User: twalcari
 * Date: 9/17/2015
 * Time: 16:46
 */
@XmlRootElement(name = "type")
public class GtsXmlType {
    private String name;
    private String description;

    private String script;

    public GtsXmlType() {
    }

    public GtsXmlType(String typeName) {
        this.name = typeName;
    }

    @XmlElement(name = "typeName")
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getScript() {
        return script;
    }

    public void setScript(String script) {
        this.script = script;
    }
}
